cURL
curl --request DELETE \
--url https://api.botpress.cloud/v1/tables/{table} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'import requests
url = "https://api.botpress.cloud/v1/tables/{table}"
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {'x-bot-id': '<x-bot-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.botpress.cloud/v1/tables/{table}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{}deleteTable
Permanently deletes a table and all its associated data from the system. Use with caution, as this action cannot be undone.
DELETE
/
v1
/
tables
/
{table}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Integration name
User Id
User Role
Path Parameters
The table's name or unique identifier for targeting specific table operations.
Response
Confirmation that the table has been deleted.
The response is of type deleteTableResponse · object.
Was this page helpful?
⌘I